Subject: Re: ncurses/termcap, just won't clear the screen?
From: [email-masked] ("Mikey")

23 May 1997 14:55:18 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Outlook Express 4.71.0544.0
Original-To: "Sergey Okhapkin" <[email-masked]>
Original-Cc: "cygnus gnu-win32 mailing list" <[email-masked]>
X-Priority: 3
X-MSMail-Priority: Normal
X-MimeOLE: Produced By Microsoft MimeOLE Engine V4.71.0544.0
Original-Sender: [email-masked]

>
>Mikey wrote:
>> Sergey exactly which bugs are you talking about?
>
>Linefeed code (case DWN:) in write_normal(), for examle.

Granted rearanging DWN wasn't necessary, but I was trying to fix the extra ^M
from linux termcap, and I forgot to take out the change before I made the diff,

it dosen't hurt anything, kind of like the yeast in beer :^).

>
>>
>> Fixing the Makefile so that it actually cleans the subdirectories?
>> and lets you install just the dll instead of 20 minutes for headers and
>all?
>
>I just copy/rename new-cygwin.dll to the target directory :-) Of course,
>this fix is useful, but I am not winsup maintainer :-)
>
>>
>> Invisible text text that shows up on your screen. (duh ;^)
>>
>
>I added these lines to console.cc code and sent a patch to GN.
>
>> The delete key
>> should IMHO delete forward by default, at the bash prompt
>> not require the user to know that bind '"\e[3~":delete-char'
>> is necessary to get his keyboard to work properly, or that he has to use
><ctrl><shift>D.
>
>Ctrl-D is the end-of-file on unix systems. Should we change this behavior?

Yes.

(this was the most annoying thing for me when I first started using linux,
I hit the delete key, like I've been doing forever, and the stupid console
sits there and beeps at me, and puts a ~ on the screen besides ;^)

I'm sorry to disagree with you on this, but ^d is the settable console EOF,
a proper stty implementation, would allow you to set this as anything
you want (barring conflicts), I think it would be more
usefull given the underlying platform
, and the fact that some (uninformed)
people are going to want to use text mode mounts
to have the dll, and stty set ^Z as default EOF, since anyone in text mode
is going to have it interpreted that way anyway.

>
>> Something similar to this should probably be done for the home and end
>keys too.
>> (maybe this is a case of programers preference,
>> but I don't like support calls that waste my time with
>> why dosen't XXX key work call me funny that way ;^)
>
>I think, gnu-win32 distribution must have proper inputrc file and installer
>must to set up INPUTRC environment variable properly to avoid beginner's
>problems.

How about .profile .bashrc .netrc etc...................
in other words gnu-win32 needs an /etc/skel/ directory and a login
that would read the users, and groups from the regristry
and create apropriate $HOME/. dirs/files if they don't
already exist, copy the skel/.files and probably an adduser
utility that would add them to /etc/passwd /etc/group and to the regristy?

That's a LOT of work and maintaining Two complete
sets of startup and admin files, for
every user is about as close to a sysadmins
worst nightmare as you can come.

$HOME could possibly be interpreted as the users Profile/ directory,
IF user profiles are enabled, but I think it would be much simpler in the
long run to have
$HOME and the /etc/ dir end up virtual, like /dev/tty

and the /etc/files .profile .bashrc even termcap are going to have

to end up in somewhere the registry.

If you want any kind of acceptance for this by the people that really count
all of this kind of configuration stuff is going to have to happen inside the dll
completly transparently, otherwise they are going to say sorry it's
too complicated, I don't want it on my disk.

(remember these are windows user's you are trying to attract ;^)

Even now, there should be a login utility in the dll,
that would disallow startup if the user
dosen't have an authorized windows password in the registry.

>
>>
>> The linux termcap/info is broken for full screen access on win95, so
>untill someone can tell me how to
>>
>> get rid of the extra ^M in wrapped lines, w32ansi will continue to be
>needed, I happen to like elvis.

Sorry, I should have said dll linux termcap/info support.
BTW did you know you can get a real nice termcap with
head -n 1535 .../ncurses/misc/terminfo.src|grep -v "^#" > terminfo.src.new
tic -C -RBSD terminfo.src.new > termcap
and it's a lot less work?

>
>Termcap is not broken. Some support routines in console.cc fails on Win95.
>I've fixed it today. BTW, what do you think about national keyboard support
>bug? Is AltGr left or right Alt key on a keyboard? It's easy to fix this
>bug, but I don't want to loose Alt-key to esc-key translation...

I don't think it really matters which alt key you use for altGr,

as long as it's documented somewhere, but since (I think)
the majority 
of the keyboards in
 the world have the keypad on 
the right, I would suggest the
 using left alt 

>
>>
>>
>> \[J, and \[0J are broken on win95,
>>

Maybe it's fixed to you, and Geoff, but untill it gets posted,
It ain't fixed for nobody else, which is why I posted it.

>
>Fixed.
>
>> \E[1J is missing for linux support, it may not be documented in ncurses,
>but it sure is there
>> in the linux kernel, at least through 2.0.29, so if you're going to tell
>people
>> they can use a linux termcap don't you think you ought to support it?
>>
>
>Added.
>
>> Code page support may not be top priorty, but the escape chars should at
>least be eaten
>> ,
>> not just give BAD ESCAPE messages.
>
>May be, but not for a now. We need now a full diagnostic of all
>unimlemented but required features.
>
>> info dosen't work, without some O_NDELAY implementation, so untill
>sombody
>> wants to take a crack at FILE_FLAG_OVERLAPPED, this is the best that I,
>working from
>> Tony Fitzpatrick's example
>> could do, and since the reads for info.exe are done by FakeReadFile
>something
>> similar to this is probably going to be necessary anyway.
>>
>
>It's a useful, but a temporary O_NDELAY implementation. I want to implement
>full posix tty/pty support including job control, process and session
>groups, control tty, etc in the nearest future :-)

That will be REALLY nice, but but untill it actually happens,
new users that see 6 Megabytes of installed man pages,
and 4 Megabytes of info files, are probably wondering why they are there
since they can't read them don't you think?

>
>> Geoff just told us that setpwent is the correct name for setpwend!
>>
>
>He is not right. Looks like setpassent must be named setpwent. I forgot to
>write him about it :-(
>
>> tgetent() dosen't belong in the dll, unless you are going to provide a
>full termcap
>> implmentation.
>
>Yes, you are right.
>
>>
>> and the fix for Sleep was from YOU!!!
>>
>
>:-) The diff to B18 sources I sent to Geoff today is more than 40K in size
>:-) It contains some new features and symlinks speed up. I asked him to
>make patched winsup sources and precompiled cygwin.dll publically available
>as a beta 18.1.
>
>--
>Sergey Okhapkin
>Moscow, Russia
>Looking for a job

([email-masked])
       the return address for this message is anti spammed

       remove * from the above address to reply.

        Mikey

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".